# Transport_Cache_Manager.h File Reference

`#include "ace/Null_Mutex.h"`
`#include "ace/Hash_Map_Manager_T.h"`
`#include "tao/Cache_Entries.h"`
`#include "tao/orbconf.h"`
`#include "tao/Transport_Cache_Manager.inl"`

Include dependency graph for Transport_Cache_Manager.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO

## Classes

class | TAO::Transport_Cache_Manager
| The Transport Cache Manager for TAO. More...

## Defines

#define | ACE_LACKS_PRAGMA_ONCE

## Typedefs

typedef ACE_Unbounded_Set< TAO_Connection_Handler * > | Connection_Handler_Set

## Detailed Description

Id
  Transport_Cache_Manager.h,v 1.27 2005/11/24 11:05:46 ossama Exp

Author:
  Balachandran Natarajan <bala@cs.wustl.edu>

## Define Documentation

#define ACE_LACKS_PRAGMA_ONCE

## Typedef Documentation

typedef ACE_Unbounded_Set<TAO_Connection_Handler*> TAO::Connection_Handler_Set